/*
 * File:	iMX6DHCOMgpios.h
 *
 * Date:	2015-05-21
 * Company:	DH electronics GmbH
 * Author:	Ludwig Zenz, lzenz@dh-electronics.de
 */

#ifndef IMX6DHCOMGPIOS_H_
#define IMX6DHCOMGPIOS_H_

/*
 * DHCOM Standard GPIO to linux gpio numbers mapping
 */

#define DHCOM_GPIO_A 	2
#define DHCOM_GPIO_B 	4
#define DHCOM_GPIO_C 	5
#define DHCOM_GPIO_D 	163
#define DHCOM_GPIO_E 	101
#define DHCOM_GPIO_F 	116
#define DHCOM_GPIO_G 	91
#define DHCOM_GPIO_H 	103
#define DHCOM_GPIO_I 	104

/*
 * additional GPIOx (extended DHCOM Standard)
 */

#define DHCOM_GPIO_J  	174
#define DHCOM_GPIO_K  	175
#define DHCOM_GPIO_L 	105
#define DHCOM_GPIO_M 	192
#define DHCOM_GPIO_N 	193
#define DHCOM_GPIO_O 	149
#define DHCOM_GPIO_P 	205
#define DHCOM_GPIO_Q 	18
#define DHCOM_GPIO_R 	16
#define DHCOM_GPIO_S 	17
#define DHCOM_GPIO_T 	19
#define DHCOM_GPIO_U 	20
#define DHCOM_GPIO_V 	146
#define DHCOM_GPIO_W 	147


#endif /* IMX6DHCOMGPIOS_H_ */
