/*
 * File:	iMX25DHCOMgpios.h
 *
 * Date:	2012-08-22
 * Company:	DH electronics GmbH
 * Author:	Ludwig Zenz, lzenz@dh-electronics.de
 */

#ifndef IMX25DHCOMGPIOS_H_
#define IMX25DHCOMGPIOS_H_

/*
 * DHCOM Standard GPIO to iMX25 gpio numbers mapping
 */

#define DHCOM_GPIO_A 	44
#define DHCOM_GPIO_B 	85
#define DHCOM_GPIO_C 	36
#define DHCOM_GPIO_D 	37
#define DHCOM_GPIO_E 	38
#define DHCOM_GPIO_F 	39
#define DHCOM_GPIO_G 	40
#define DHCOM_GPIO_H 	41
#define DHCOM_GPIO_I 	81

/*
 * additional GPIOx (extended DHCOM Standard)
 */

#define DHCOM_GPIO_J  	10
#define DHCOM_GPIO_K  	11
#define DHCOM_GPIO_L 	8
#define DHCOM_GPIO_M 	9
#define DHCOM_GPIO_N 	117
#define DHCOM_GPIO_O 	7
#define DHCOM_GPIO_P 	6
#define DHCOM_GPIO_Q 	31
#define DHCOM_GPIO_R 	30
#define DHCOM_GPIO_S 	29
#define DHCOM_GPIO_T 	28
#define DHCOM_GPIO_U 	27




#endif /* IMX25DHCOMGPIOS_H_ */
